### Method

# Ide ProjectFile list_children_async

#### Declaration

    void
    ide_project_file_list_children_async (
      IdeProjectFile* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

List the children of `self`.

Call `ide_project_file_list_children_finish()` to get the result of this operation.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.